Package com.mouseviator.fsuipc.helpers.avionics

# Enum NavRadioHelper.ToFromFlag

java.lang.Object
java.lang.Enum<NavRadioHelper.ToFromFlag>
com.mouseviator.fsuipc.helpers.avionics.NavRadioHelper.ToFromFlag

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<NavRadioHelper.ToFromFlag>`, `java.lang.constant.Constable`

Enclosing class:
  NavRadioHelper

    public static enum NavRadioHelper.ToFromFlag
    extends java.lang.Enum<NavRadioHelper.ToFromFlag>

An enumeration of possible return values for data request to obtain To/From flag indication. See `NavRadioHelper.getToFromFlag()` function.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `FROM` | From indication
  `NOT_ACTIVE` | Not active
  `TO` | To indication

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static NavRadioHelper.ToFromFlag` | `get​(byte value)` | Returns `NavRadioHelper.ToFromFlag` by corresponding int value.
  `byte` | `getValue()` |
  `static NavRadioHelper.ToFromFlag` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static NavRadioHelper.ToFromFlag[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOT_ACTIVE

    public static final NavRadioHelper.ToFromFlag NOT_ACTIVE
    Not active

  - ### TO

    public static final NavRadioHelper.ToFromFlag TO
    To indication

  - ### FROM

    public static final NavRadioHelper.ToFromFlag FROM
    From indication

- ## Method Details

  - ### values

    public static NavRadioHelper.ToFromFlag[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static NavRadioHelper.ToFromFlag valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getValue

    public byte getValue()
    Returns:
      Byte value of this type.

  - ### get

    public static NavRadioHelper.ToFromFlag get​(byte value) throws java.security.InvalidParameterException
    Returns `NavRadioHelper.ToFromFlag` by corresponding int value.
    Parameters:
      `value` - String value corresponding to one of enumeration constants.
    Returns:
      `NavRadioHelper.ToFromFlag` by corresponding int value.
    Throws:
      `java.security.InvalidParameterException` - if value not corresponding to any enumeration value is passed.